package de.miaurizius.jgame2d.core.enums;

public enum Map {

    OVERWORLD("worldmap", 0, Area.OUTSIDE),
    HUT("indoor01", 1, Area.INDOOR),
    DUNGEON_FIRST_FLOOR("dungeon01",2, Area.DUNGEON),
    DUNGEON_SECOND_FLOOR("dungeon02", 3, Area.DUNGEON);

    private final String name;
    private final int index;
    private final Area area;

    Map(String name, int index, Area area) {
        this.name = name;
        this.index = index;
        this.area = area;
    }

    public String getName() {
        return name;
    }

    public int getIndex() {
        return index;
    }

    public Area getArea() {
        return area;
    }

    public enum Area {
        INDOOR,
        OUTSIDE,
        DUNGEON
    }

}